﻿using SafeAuthActivate.Sm;

namespace SafeAuthActivate
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("===============AI监控预警分析平台授权程序==================");
            Console.WriteLine("说明：\r\n1.首先部署好AI监控预警分析平台程序，浏览器打开程序首页\r\n2.运行授权器，将机器码输入到至注册器控制台程序中,输入到期时间，\r\n3.点击回车，将生成的注册码复制到激活码输入框中，并点击激活按钮。\r\n4.！！！！严重警告！！！！此软件禁止放在部署机上！！！！此软件严禁外传！！！！");
            Console.WriteLine("=============================================================");
            while (true)
            {
                try
                {
                    var timeYZ = true;
                    var time = "";
                    Console.Write("请输入机器码：");
                    var machineCode = Console.ReadLine();
                    if (string.IsNullOrEmpty(machineCode.Trim()))
                    {
                        Console.WriteLine("机器码效验错误，请检查机器码正确性！");
                    }
                    else
                    {
                        var hardwareId = CryptogramUtil.Sm4Decrypt(CryptogramUtil.Sm2Decrypt(machineCode));
                        while (timeYZ)
                        {
                            Console.Write("请输入授权到期时间（例：2024-01-01）：");
                            time = Console.ReadLine();
                            timeYZ = !DateTime.TryParse(time, out var activeTime);
                            if (timeYZ)
                            {
                                Console.WriteLine("时间输入错误格式为【yyyy-MM-dd】（例：2024-01-01）");
                            }
                        }

                        var code = CryptogramUtil.Sm2Encrypt(hardwareId + "$" + time);
                        Console.WriteLine("===============激活码生成成功请注意保存！=====================");
                        Console.WriteLine(code);
                        Console.WriteLine("==============================================================");
                        Console.Write("按任意键退出！");
                        Console.ReadLine();
                        Environment.Exit(0);
                    }
                }
                catch (Exception)
                {
                    Console.WriteLine("机器码效验错误，请检查机器码正确性！");
                }
            }
        }
    }
}
