﻿namespace SafeCampus.System;
/// <summary>
/// 业务配置常量
/// </summary>
public class BizConfigConst
{
    /// <summary>
    ///  归寝时间
    /// </summary>
    public const string BIZ_RETURN_BED = "BIZ_RETURN_BED";
    /// <summary>
    /// 短信推送开关
    /// </summary>
    public const string BIZ_SMS_STATES = "BIZ_SMS_STATES";
    /// <summary>
    /// 短信推送时间间隔（分钟）
    /// </summary>
    public const string BIZ_SMS_INTERVAL = "BIZ_SMS_INTERVAL";
    /// <summary>
    /// 归寝时间设置
    /// </summary>
    public const string BIZ_DORMITORY_TIME = "BIZ_DORMITORY_TIME";
    /// <summary>
    /// 短信推送预警阈值
    /// </summary>
    public const string BIZ_SMS_STATES_DAY = "BIZ_SMS_STATES_DAY";
    /// <summary>
    /// CPU码
    /// </summary>
    public const string BIZ_MACHINE_CPU = "BIZ_MACHINE_CPU";
    /// <summary>
    /// 硬盘码
    /// </summary>
    public const string BIZ_MACHINE_DISK = "BIZ_MACHINE_DISK";
    /// <summary>
    /// MAC地址
    /// </summary>
    public const string BIZ_MACHINE_MAC = "BIZ_MACHINE_MAC";
}