﻿namespace SafeCampus.Core.Utils.Machine;

public interface IMachineUtil
{
    /// <summary>
    ///  CPU码
    /// </summary>
    /// <returns></returns>
    Task<string> GetProcessorId();
    /// <summary>
    /// 硬盘码
    /// </summary>
    /// <returns></returns>
    Task<string> GetDiskId();
    /// <summary>
    /// MAC地址
    /// </summary>
    /// <returns></returns>
    Task<string> GetMacAddress();
}