﻿namespace SafeCampus.Core;

public class WarnGroupInfo: WarnGroupSubset
{
    /// <summary>
    /// 推送人id
    /// </summary>
    public long? PushUserId { get; set; }
    public string  PushUserName { get; set; }
    public string  PushPhone { get; set; }
    public List<WarnGroupSubset> Subset { get; set; }
}

public class WarnGroupSubset
{
    public string Name { get; set; }
    public string Code { get; set; }
    public bool State {get;set;}
    public int Value { get; set; }
    public List<string> CameraId { get; set; } = new List<string>();
    public List<string> CameraName { get; set; } = new List<string>();
}