﻿using Microsoft.Extensions.Logging;
using MoYu.Schedule;
using SafeCampus.Application.Services.Business.CameraInfoService;

namespace SafeCampus.Web.Core.Job;

public class CameraSyncJob:IJob
{
    private readonly ICameraInfoService _cameraInfoService;
    private readonly ILogger<CameraSyncJob> _logger;

    public CameraSyncJob(ICameraInfoService cameraInfoService, ILogger<CameraSyncJob> logger)
    {
        _cameraInfoService = cameraInfoService;
        _logger = logger;
    }

    public  Task ExecuteAsync(JobExecutingContext context, CancellationToken stoppingToken)
    {
        //await _cameraInfoService.DataSync();
        _logger.LogInformation($"{context}");
        return Task.CompletedTask;
    }
}